Login
Newsletter
Werbung

Sicherheit: Ausführen beliebiger Kommandos in vim
Aktuelle Meldungen Distributionen
Name: Ausführen beliebiger Kommandos in vim
ID: SUSE-SU-2019:1456-1
Distribution: SUSE
Plattformen: SUSE Linux Enterprise Server for SAP 12-SP1, SUSE Linux Enterprise Server 12-LTSS, SUSE OpenStack Cloud Magnum Orchestration 7, SUSE OpenStack Cloud 7, SUSE Linux Enterprise Server 12-SP1-LTSS, SUSE Linux Enterprise Server for SAP 12-SP2, SUSE Linux Enterprise Desktop 12-SP3, SUSE Linux Enterprise Server 12-SP3, SUSE Enterprise Storage 4, SUSE CaaS Platform ALL, SUSE Linux Enterprise Server 12-SP2-LTSS, SUSE CaaS Platform 3.0, SUSE Linux Enterprise Server 12-SP2-BCL, SUSE Linux Enterprise Desktop 12-SP4, SUSE Linux Enterprise Server 12-SP4
Datum: Di, 11. Juni 2019, 16:54
Referenzen: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-12735
Applikationen: vim

Originalnachricht


SUSE Security Update: Security update for vim
______________________________________________________________________________

Announcement ID: SUSE-SU-2019:1456-1
Rating: important
References: #1137443
Cross-References: CVE-2019-12735
Affected Products:
SUSE OpenStack Cloud 7
SUSE Linux Enterprise Server for SAP 12-SP2
SUSE Linux Enterprise Server for SAP 12-SP1
SUSE Linux Enterprise Server 12-SP4
SUSE Linux Enterprise Server 12-SP3
SUSE Linux Enterprise Server 12-SP2-LTSS
SUSE Linux Enterprise Server 12-SP2-BCL
SUSE Linux Enterprise Server 12-SP1-LTSS
SUSE Linux Enterprise Server 12-LTSS
SUSE Linux Enterprise Desktop 12-SP4
SUSE Linux Enterprise Desktop 12-SP3
SUSE Enterprise Storage 4
SUSE CaaS Platform ALL
SUSE CaaS Platform 3.0
OpenStack Cloud Magnum Orchestration 7
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:

This update for vim fixes the following issue:

Security issue fixed:

- CVE-2019-12735: Fixed a potential arbitrary code execution vulnerability
in getchar.c (bsc#1137443).


Patch Instructions:

To install this SUSE Security Update use the SUSE recommended installation
methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- SUSE OpenStack Cloud 7:

zypper in -t patch SUSE-OpenStack-Cloud-7-2019-1456=1

- SUSE Linux Enterprise Server for SAP 12-SP2:

zypper in -t patch SUSE-SLE-SAP-12-SP2-2019-1456=1

- SUSE Linux Enterprise Server for SAP 12-SP1:

zypper in -t patch SUSE-SLE-SAP-12-SP1-2019-1456=1

- SUSE Linux Enterprise Server 12-SP4:

zypper in -t patch SUSE-SLE-SERVER-12-SP4-2019-1456=1

- SUSE Linux Enterprise Server 12-SP3:

zypper in -t patch SUSE-SLE-SERVER-12-SP3-2019-1456=1

- SUSE Linux Enterprise Server 12-SP2-LTSS:

zypper in -t patch SUSE-SLE-SERVER-12-SP2-2019-1456=1

- SUSE Linux Enterprise Server 12-SP2-BCL:

zypper in -t patch SUSE-SLE-SERVER-12-SP2-BCL-2019-1456=1

- SUSE Linux Enterprise Server 12-SP1-LTSS:

zypper in -t patch SUSE-SLE-SERVER-12-SP1-2019-1456=1

- SUSE Linux Enterprise Server 12-LTSS:

zypper in -t patch SUSE-SLE-SERVER-12-2019-1456=1

- SUSE Linux Enterprise Desktop 12-SP4:

zypper in -t patch SUSE-SLE-DESKTOP-12-SP4-2019-1456=1

- SUSE Linux Enterprise Desktop 12-SP3:

zypper in -t patch SUSE-SLE-DESKTOP-12-SP3-2019-1456=1

- SUSE Enterprise Storage 4:

zypper in -t patch SUSE-Storage-4-2019-1456=1

- SUSE CaaS Platform ALL:

To install this update, use the SUSE CaaS Platform Velum dashboard.
It will inform you if it detects new updates and let you then trigger
updating of the complete cluster in a controlled way.

- SUSE CaaS Platform 3.0:

To install this update, use the SUSE CaaS Platform Velum dashboard.
It will inform you if it detects new updates and let you then trigger
updating of the complete cluster in a controlled way.

- OpenStack Cloud Magnum Orchestration 7:

zypper in -t patch
SUSE-OpenStack-Cloud-Magnum-Orchestration-7-2019-1456=1



Package List:

- SUSE OpenStack Cloud 7 (s390x x86_64):

gvim-7.4.326-17.3.1
gvim-debuginfo-7.4.326-17.3.1
vim-7.4.326-17.3.1
vim-debuginfo-7.4.326-17.3.1
vim-debugsource-7.4.326-17.3.1

- SUSE OpenStack Cloud 7 (noarch):

vim-data-7.4.326-17.3.1

- SUSE Linux Enterprise Server for SAP 12-SP2 (ppc64le x86_64):

gvim-7.4.326-17.3.1
gvim-debuginfo-7.4.326-17.3.1
vim-7.4.326-17.3.1
vim-debuginfo-7.4.326-17.3.1
vim-debugsource-7.4.326-17.3.1

- SUSE Linux Enterprise Server for SAP 12-SP2 (noarch):

vim-data-7.4.326-17.3.1

- SUSE Linux Enterprise Server for SAP 12-SP1 (noarch):

vim-data-7.4.326-17.3.1

- SUSE Linux Enterprise Server for SAP 12-SP1 (x86_64):

gvim-7.4.326-17.3.1
gvim-debuginfo-7.4.326-17.3.1
vim-7.4.326-17.3.1
vim-debuginfo-7.4.326-17.3.1
vim-debugsource-7.4.326-17.3.1

- SUSE Linux Enterprise Server 12-SP4 (aarch64 ppc64le s390x x86_64):

gvim-7.4.326-17.3.1
gvim-debuginfo-7.4.326-17.3.1
vim-7.4.326-17.3.1
vim-debuginfo-7.4.326-17.3.1
vim-debugsource-7.4.326-17.3.1

- SUSE Linux Enterprise Server 12-SP4 (noarch):

vim-data-7.4.326-17.3.1

- SUSE Linux Enterprise Server 12-SP3 (aarch64 ppc64le s390x x86_64):

gvim-7.4.326-17.3.1
gvim-debuginfo-7.4.326-17.3.1
vim-7.4.326-17.3.1
vim-debuginfo-7.4.326-17.3.1
vim-debugsource-7.4.326-17.3.1

- SUSE Linux Enterprise Server 12-SP3 (noarch):

vim-data-7.4.326-17.3.1

- SUSE Linux Enterprise Server 12-SP2-LTSS (ppc64le s390x x86_64):

gvim-7.4.326-17.3.1
gvim-debuginfo-7.4.326-17.3.1
vim-7.4.326-17.3.1
vim-debuginfo-7.4.326-17.3.1
vim-debugsource-7.4.326-17.3.1

- SUSE Linux Enterprise Server 12-SP2-LTSS (noarch):

vim-data-7.4.326-17.3.1

- SUSE Linux Enterprise Server 12-SP2-BCL (noarch):

vim-data-7.4.326-17.3.1

- SUSE Linux Enterprise Server 12-SP2-BCL (x86_64):

gvim-7.4.326-17.3.1
gvim-debuginfo-7.4.326-17.3.1
vim-7.4.326-17.3.1
vim-debuginfo-7.4.326-17.3.1
vim-debugsource-7.4.326-17.3.1

- SUSE Linux Enterprise Server 12-SP1-LTSS (ppc64le s390x x86_64):

gvim-7.4.326-17.3.1
gvim-debuginfo-7.4.326-17.3.1
vim-7.4.326-17.3.1
vim-debuginfo-7.4.326-17.3.1
vim-debugsource-7.4.326-17.3.1

- SUSE Linux Enterprise Server 12-SP1-LTSS (noarch):

vim-data-7.4.326-17.3.1

- SUSE Linux Enterprise Server 12-LTSS (ppc64le s390x x86_64):

gvim-7.4.326-17.3.1
gvim-debuginfo-7.4.326-17.3.1
vim-7.4.326-17.3.1
vim-debuginfo-7.4.326-17.3.1
vim-debugsource-7.4.326-17.3.1

- SUSE Linux Enterprise Server 12-LTSS (noarch):

vim-data-7.4.326-17.3.1

- SUSE Linux Enterprise Desktop 12-SP4 (x86_64):

gvim-7.4.326-17.3.1
gvim-debuginfo-7.4.326-17.3.1
vim-7.4.326-17.3.1
vim-debuginfo-7.4.326-17.3.1
vim-debugsource-7.4.326-17.3.1

- SUSE Linux Enterprise Desktop 12-SP4 (noarch):

vim-data-7.4.326-17.3.1

- SUSE Linux Enterprise Desktop 12-SP3 (noarch):

vim-data-7.4.326-17.3.1

- SUSE Linux Enterprise Desktop 12-SP3 (x86_64):

gvim-7.4.326-17.3.1
gvim-debuginfo-7.4.326-17.3.1
vim-7.4.326-17.3.1
vim-debuginfo-7.4.326-17.3.1
vim-debugsource-7.4.326-17.3.1

- SUSE Enterprise Storage 4 (x86_64):

gvim-7.4.326-17.3.1
gvim-debuginfo-7.4.326-17.3.1
vim-7.4.326-17.3.1
vim-debuginfo-7.4.326-17.3.1
vim-debugsource-7.4.326-17.3.1

- SUSE Enterprise Storage 4 (noarch):

vim-data-7.4.326-17.3.1

- SUSE CaaS Platform ALL (x86_64):

vim-7.4.326-17.3.1
vim-debuginfo-7.4.326-17.3.1
vim-debugsource-7.4.326-17.3.1

- SUSE CaaS Platform 3.0 (x86_64):

vim-7.4.326-17.3.1
vim-debuginfo-7.4.326-17.3.1
vim-debugsource-7.4.326-17.3.1

- OpenStack Cloud Magnum Orchestration 7 (x86_64):

vim-7.4.326-17.3.1
vim-debuginfo-7.4.326-17.3.1
vim-debugsource-7.4.326-17.3.1


References:

https://www.suse.com/security/cve/CVE-2019-12735.html
https://bugzilla.suse.com/1137443

_______________________________________________
sle-security-updates mailing list
sle-security-updates@lists.suse.com
http://lists.suse.com/mailman/listinfo/sle-security-updates
Pro-Linux
Traut euch!
Neue Nachrichten
Werbung